Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004033TestLinkDatabase MS-SQLpublic2010-11-19 00:342014-12-03 22:18
Reporterleol 
Assigned Tofman 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version2003 /2008
Product Version1.9 (Prague) 
Fixed in Version 
Summary0004033: [MIGRATION] - Error upgrading from 1.8.5 to 1.9.0 MS SQL Server 2005
DescriptionVarious database upgrade and migration errors when upgrading from a new install of 1.8.5 to 1.9.0 for MS SQL Server 2005
Steps To ReproduceHere are the steps to reproduce it:
1) Create a new testlink database and testlink user on the SQL Server instance.
2) Install TestLink 1.8.5 on the newly create testlink database
3) Login as admin/admin to check that the new TestLink 1.8.5 instance is running.
4) Extract 1.9.0 and upgrade the existing TestLink DB to 1.9.0.

or

To use the 1.8.5 test DB:
1) In SQL Server Management Studio, login to the SQL Server instance and attach the 1.8.5 DB.
2) Create a 'testlink' user set the default DB as the testlink DB.
3) Run the testlink 1.9.0 upgrade
Additional InformationThe attached file testlink-1.9.0-mssql-db-fixes.zip contains four directories:

1-testlink-1.8.5-db-for-upgrade-test - A fresh install of a testlink 1.8.5 DB which can be used to test the upgrade to 1.9.0.

2-testlink-1.9.0-original-errors-log - Errors produced when upgrading 1.8.5 to 1.9.0.

3-testlink-1.9.0-mssql-script-fixes - testlink 1.9.0 mssql script fixes which eliminates most of the errors.

4-testlink-1.9.0-remaining-errors-after-script-fixes - The remaining upgrade errors after applying the 1.9.0 script fixes.
TagsMigration
Database (MySQL,Postgres,etc)MS SQL Server 2005
BrowserFireFox 3.6.12
PHP Version5.20
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0004040closedfman Migration problems (Container Issue) 

-  Notes
(0012656)
leol (reporter)
2010-11-19 00:51

I couldn't attached the 385KB file.
It's available for download here: http://jump.fm/OYNDS [^]
(0012657)
terryzuo (reporter)
2010-11-19 05:40

I suggest you create a new DB in 1.9(as the schema changed since1.9b4) and import the previous DB(sql/data) to DB1.9.
(0012659)
fman (administrator)
2010-11-19 07:49

@leol:
ok will get and make some tests
(0012663)
fman (administrator)
2010-11-19 21:22

@leol:
How many test projects are defined on your db?
I've attached it to my SQL EXPRESS 2005 and see NO DATA

I need your DB WITH DATA in order to test migration
(0012667)
fman (administrator)
2010-11-20 10:53

Try with fix attached on parent issue (4040) and give us feedback please
(0012741)
leol (reporter)
2010-11-29 02:51

@fman:
Did you have a chance to check out my feedback left on issue (4040)?
(0012752)
fman (administrator)
2010-11-29 19:35

@leol: not yet.

- Issue History
Date Modified Username Field Change
2010-11-19 00:34 leol New Issue
2010-11-19 00:51 leol Note Added: 0012656
2010-11-19 05:40 terryzuo Note Added: 0012657
2010-11-19 07:49 fman Note Added: 0012659
2010-11-19 21:22 fman Note Added: 0012663
2010-11-20 10:33 fman Summary Error upgrading from 1.8.5 to 1.9.0 MS SQL Server 2005 => [MIGRATION] - Error upgrading from 1.8.5 to 1.9.0 MS SQL Server 2005
2010-11-20 10:33 fman Steps to Reproduce Updated View Revisions
2010-11-20 10:33 fman Tag Attached: Migration
2010-11-20 10:33 fman Relationship added child of 0004040
2010-11-20 10:53 fman Note Added: 0012667
2010-11-20 10:59 fman Assigned To => fman
2010-11-20 10:59 fman Status new => assigned
2010-11-29 02:51 leol Note Added: 0012741
2010-11-29 19:35 fman Note Added: 0012752
2014-12-03 22:18 fman QA Team - Task Workflow Status => TBD
2014-12-03 22:18 fman Status assigned => closed
2014-12-03 22:18 fman Resolution open => fixed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker